com.pixelmed.ftp

## Class FTPRemoteHost

- java.lang.Object
- - com.pixelmed.ftp.FTPRemoteHost

Direct Known Subclasses:
  FTPRemoteHostConfigurationDialog

    public class FTPRemoteHost
    extends java.lang.Object

This class provides a description of the parameters of a remote FTP host.

### Field Summary

Fields
`protected java.lang.String` `directory`
`protected java.lang.String` `host`
`protected java.lang.String` `password`
`protected FTPSecurityType` `security`
`protected java.lang.String` `user`

### Constructor Summary

Constructors
Constructor and Description
`FTPRemoteHost()`
`FTPRemoteHost(FTPRemoteHost r)`
`FTPRemoteHost(java.lang.String host, java.lang.String user, java.lang.String password, java.lang.String directory, FTPSecurityType security)`
`FTPRemoteHost(java.lang.String host, java.lang.String user, java.lang.String password, java.lang.String directory, java.lang.String security)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDirectory()`
`java.lang.String` `getHost()`
`java.lang.String` `getPassword()`
`FTPSecurityType` `getSecurity()`
`java.lang.String` `getUser()`
`void` `setDirectory(java.lang.String directory)`
`void` `setHost(java.lang.String host)`
`void` `setPassword(java.lang.String password)`
`void` `setSecurity(FTPSecurityType security)`
`void` `setSecurity(java.lang.String security)`
`void` `setUser(java.lang.String user)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### host

    protected java.lang.String host

#### user

    protected java.lang.String user

#### password

    protected java.lang.String password

#### directory

    protected java.lang.String directory

#### security

    protected FTPSecurityType security

### Constructor Detail

#### FTPRemoteHost

    public FTPRemoteHost()

#### FTPRemoteHost

    public FTPRemoteHost(FTPRemoteHost r)

#### FTPRemoteHost

    public FTPRemoteHost(java.lang.String host,
                 java.lang.String user,
                 java.lang.String password,
                 java.lang.String directory,
                 FTPSecurityType security)

#### FTPRemoteHost

    public FTPRemoteHost(java.lang.String host,
                 java.lang.String user,
                 java.lang.String password,
                 java.lang.String directory,
                 java.lang.String security)

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### setHost

    public void setHost(java.lang.String host)

#### setUser

    public void setUser(java.lang.String user)

#### setPassword

    public void setPassword(java.lang.String password)

#### setDirectory

    public void setDirectory(java.lang.String directory)

#### setSecurity

    public void setSecurity(FTPSecurityType security)

#### setSecurity

    public void setSecurity(java.lang.String security)

#### getHost

    public final java.lang.String getHost()

#### getUser

    public final java.lang.String getUser()

#### getPassword

    public final java.lang.String getPassword()

#### getDirectory

    public final java.lang.String getDirectory()

#### getSecurity

    public final FTPSecurityType getSecurity()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`